Page MenuHomePhabricator

mediawiki/skins/Nimbus should pass jshint
Closed, ResolvedPublic

Description

mediawiki/skins/Nimbus does not pass jshint. It should provides a default .jshintrc file (probably just containing: {}. And the error have to be fixed:

nimbus/Menu.js: line 62, col 19, 'e' is already defined.
nimbus/Menu.js: line 133, col 19, 'e' is already defined.
nimbus/Menu.js: line 155, col 39, 'source_id' is already defined.
nimbus/Menu.js: line 161, col 35, 'source_id' is already defined.
nimbus/Menu.js: line 172, col 19, 'e' is already defined.
nimbus/Menu.js: line 194, col 19, 'e' is already defined.
nimbus/Menu.js: line 215, col 19, 'e' is already defined.


Version: unspecified
Severity: normal

Details

Reference
bz68335

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:35 AM
bzimport added a project: Nimbus.
bzimport set Reference to bz68335.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Jul 21 2014, 7:38 PM

Change 148216 had a related patch set uploaded by Jack Phoenix:
Make jshint happy.

https://gerrit.wikimedia.org/r/148216

Change 148216 merged by jenkins-bot:
Make jshint happy.

https://gerrit.wikimedia.org/r/148216

Change 148299 had a related patch set uploaded by Legoktm:
More jshint fixes, also add .jshintrc

https://gerrit.wikimedia.org/r/148299

Change 148299 merged by jenkins-bot:
More jshint fixes, also add .jshintrc

https://gerrit.wikimedia.org/r/148299

Great that is progressing. I still have some issues being reported as of 84fafcc6b53bc8b67301011b224430bbc583e989

$ jshint .
nimbus/Menu.js: line 103, col 17, Too many var statements.
nimbus/Menu.js: line 104, col 17, Too many var statements.
nimbus/Menu.js: line 105, col 17, Too many var statements.
nimbus/Menu.js: line 153, col 25, Too many var statements.
nimbus/Menu.js: line 154, col 25, Too many var statements.
nimbus/Menu.js: line 246, col 13, Too many var statements.
nimbus/Menu.js: line 247, col 13, Too many var statements.

7 errors

Change 155565 had a related patch set uploaded by Hashar:
Jshint: fix up 'too many var statements' errors

https://gerrit.wikimedia.org/r/155565

Change 155565 merged by jenkins-bot:
Jshint: fix up 'too many var statements' errors

https://gerrit.wikimedia.org/r/155565

Change 155573 had a related patch set uploaded by Hashar:
Trigger mw-skins-Nimbus-jslint

https://gerrit.wikimedia.org/r/155573

Change 155573 merged by jenkins-bot:
Trigger mw-skins-Nimbus-jslint

https://gerrit.wikimedia.org/r/155573

Job added in Jenkins and triggered in Zuul :-]

Thank you!

SamanthaNguyen moved this task from Backlog to Bugs on the Nimbus board.Jan 15 2017, 5:56 PM